CODMarkerSegment (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class CODMarkerSegment

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
          edu.harvard.hul.ois.jhove.module.jpeg2000.CODMarkerSegment

    public class CODMarkerSegment

extends MarkerSegment

Class for the COD (coding style default) marker segment. This comes either in the main header or after an SOT and describes the functions used to code the entire tile.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
`_ccs, _cs, _dstream, _module, _repInfo, COC, COD, COM, CRG, EOC, EPH, PLM, PLT, POC, PPM, PPT, QCC, QCD, RGN, SIZ, SOC, SOD, SOP, SOT, TLM`

Constructor Summary
`CODMarkerSegment()`

Method Summary
`protected boolean` | `process(int bytesToEat)` Processes the marker segment.

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
`getMainOrTile, isMarker, markerSegmentMaker, nCompBytes, readMarkLen, setCodestream, setContCodestream, setDataInputStream, setModule, setRepInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CODMarkerSegment

    public CODMarkerSegment()

Method Detail

### process

    protected boolean process(int bytesToEat)
                       throws java.io.IOException

  Processes the marker segment. The DataInputStream will be at the point of having read the marker code. The `process` method must consume exactly the number of bytes remaining in the marker segment.

  Specified by:
    `process` in class `MarkerSegment`
  Parameters:
    `bytesToEat` - The number of bytes that must be consumed. If it is 0 for a MarkerSegment, the number of bytes to consume is unknown.
  Returns:
    `true` if segment is well-formed, `false` otherwise.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD